org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalbestscore

## Class ConstraintMatchTotalBestScoreStatisticPoint

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.StatisticPoint
  - - org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalbestscore.ConstraintMatchTotalBestScoreStatisticPoint

-     public class ConstraintMatchTotalBestScoreStatisticPoint
      extends StatisticPoint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintMatchTotalBestScoreStatisticPoint(long timeMillisSpent, String constraintPackage, String constraintName, int constraintMatchCount, Score scoreTotal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConstraintId()`
    `int` | `getConstraintMatchCount()`
    `String` | `getConstraintName()`
    `String` | `getConstraintPackage()`
    `Score` | `getScoreTotal()`
    `long` | `getTimeMillisSpent()`
    `String` | `toCsvLine()`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.StatisticPoint

      `buildCsvLine, buildCsvLineWithDoubles, buildCsvLineWithLongs, buildCsvLineWithStrings, parseCsvLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintMatchTotalBestScoreStatisticPoint

          public ConstraintMatchTotalBestScoreStatisticPoint(long timeMillisSpent,
                                                             String constraintPackage,
                                                             String constraintName,
                                                             int constraintMatchCount,
                                                             Score scoreTotal)

  - ### Method Detail

    - #### getTimeMillisSpent

          public long getTimeMillisSpent()

    - #### getConstraintPackage

          public String getConstraintPackage()

    - #### getConstraintName

          public String getConstraintName()

    - #### getConstraintMatchCount

          public int getConstraintMatchCount()

    - #### getScoreTotal

          public Score getScoreTotal()

    - #### getConstraintId

          public String getConstraintId()

    - #### toCsvLine

          public String toCsvLine()

      Specified by:
        `toCsvLine` in class `StatisticPoint`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.